# -*- coding: utf-8 -*-
import json
import sentiment_analysis_functions as sfun

# installation
# nltk.download('punkt')

from sklearn.feature_extraction.text import CountVectorizer
from sklearn.naive_bayes import MultinomialNB
from sklearn.linear_model import LogisticRegression

train_pos_reviews_fn = "./data/train-positive-t1.txt"
train_neg_reviews_fn = "./data/train-negative-t1.txt"
test_pos_reviews_fn = "./data/test-pos-t1.txt"
test_neg_reviews_fn = "./data/test-neg-t1.txt"


# Aucune contrainte pour cette tâche. Vous pouvez structurez votre code comme bon vous semble.
# Expliquez dans votre rapport comment exécuter le code et définir les configurations.


def load_reviews(filename):
    with open(filename, 'r') as fp:
        reviews_list = json.load(fp)
    return reviews_list

if __name__ == '__main__':
    train_positive_reviews = load_reviews(train_pos_reviews_fn)
    train_negative_reviews = load_reviews(train_neg_reviews_fn)
    test_positive_reviews = load_reviews(test_pos_reviews_fn)
    test_negative_reviews = load_reviews(test_neg_reviews_fn)
    print("Nb of training reviews - positive:", len(train_positive_reviews), "negative:", len(train_negative_reviews))
    print("Nb of test reviews - positive:", len(test_positive_reviews), "negative:", len(test_negative_reviews))
    
    xx = sfun.tokenize(train_positive_reviews)
    xx[0]

